Bug 1409797 - [abrt] dnf: rpmtrans.py:551:_scriptError:AttributeError: 'NoneType' object has no attribute 'name'
Summary: [abrt] dnf: rpmtrans.py:551:_scriptError:AttributeError: 'NoneType' object ha...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 26
Hardware: x86_64
OS: Unspecified
high
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:eeba31f8d6e98579f74eb0a5bb8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-03 12:48 UTC by Petr Schindler
Modified: 2017-03-27 12:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-27 12:19:44 UTC
Type: ---


Attachments (Terms of Use)
File: _var_log_dnf.log (982.08 KB, text/plain)
2017-01-03 12:48 UTC, Petr Schindler
no flags Details
File: backtrace (598 bytes, text/plain)
2017-01-03 12:48 UTC, Petr Schindler
no flags Details
File: dnf-makecache.log (777.12 KB, text/plain)
2017-01-03 12:48 UTC, Petr Schindler
no flags Details
File: environ (2.75 KB, text/plain)
2017-01-03 12:48 UTC, Petr Schindler
no flags Details

Description Petr Schindler 2017-01-03 12:48:18 UTC
Description of problem:
This traceback appeared during dnf distro-sync in the clean up phase. The system
ended up with multiple versions of packages.

Version-Release number of selected component:
dnf-2.0.0-0.rc2.3.fc26

Additional info:
reporter:       libreport-2.9.0
cmdline:        /usr/libexec/system-python /usr/bin/dnf distro-sync
executable:     /usr/bin/dnf
kernel:         4.9.0-0.rc7.git3.1.fc26.x86_64
runlevel:       N 5
type:           Python3
uid:            0

Truncated backtrace:
rpmtrans.py:551:_scriptError:AttributeError: 'NoneType' object has no attribute 'name'

Traceback (most recent call last):
  File "/usr/lib/python3.5/site-packages/dnf/yum/rpmtrans.py", line 427, in callback
    self._scriptError(amount, total, key)
  File "/usr/lib/python3.5/site-packages/dnf/yum/rpmtrans.py", line 551, in _scriptError
    name = pkg.name
AttributeError: 'NoneType' object has no attribute 'name'

Local variables in innermost frame:
amount: 1025
pkg: None
self: <dnf.yum.rpmtrans.RPMTransaction object at 0x7f127a049c88>
_: None
total: 2
key: 'calibre'
scriptlet_name: 'PREUN'

Comment 1 Petr Schindler 2017-01-03 12:48:27 UTC
Created attachment 1236877 [details]
File: _var_log_dnf.log

Comment 2 Petr Schindler 2017-01-03 12:48:28 UTC
Created attachment 1236878 [details]
File: backtrace

Comment 3 Petr Schindler 2017-01-03 12:48:33 UTC
Created attachment 1236879 [details]
File: dnf-makecache.log

Comment 4 Petr Schindler 2017-01-03 12:48:34 UTC
Created attachment 1236880 [details]
File: environ

Comment 5 Kamil Páral 2017-01-03 13:16:27 UTC
This problem seems to have been caused by calibre-2.73.0-1.fc26 package failing in a preun scriptlet and therefore the package removal failing as a whole. Still, dnf should not crash.

Comment 6 Fedora End Of Life 2017-02-28 10:52:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 7 Jaroslav Mracek 2017-03-27 12:19:44 UTC
The problem was fixed in https://github.com/rpm-software-management/dnf/pull/754 and https://github.com/rpm-software-management/dnf/pull/763 and released in dnf-2.2.0-1.


Note You need to log in before you can comment on or make changes to this bug.